From 9b8a3501b5fcb850ef0fd510be08bfb6e3593e14 Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@hotmail.com>
Date: Mar 27 2024 06:05:04 +0000
Subject: [PATCH 53/220] s


---

diff --git a/rpms/cosmic-app-library/cosmic-app-library.spec b/rpms/cosmic-app-library/cosmic-app-library.spec
index d2210ad..d73ffcd 100644
--- a/rpms/cosmic-app-library/cosmic-app-library.spec
+++ b/rpms/cosmic-app-library/cosmic-app-library.spec
@@ -4,22 +4,24 @@
 # prevent library files from being installed
 %global cargo_install_lib 0
 
+%global ver ###
+%global commit ###
+%global date ###
+
 %global crate cosmic-app-library
 
 Name:           cosmic-app-library
-Version:        0.1.0
+Version:        %{ver}~%{date}
 Release:        %autorelease
-Summary:        # FIXME
+Summary:        App Library program for the COSMIC Desktop Environment.
 
-SourceLicense:  None
-# FIXME: paste output of %%cargo_license_summary here
-License:        # FIXME
+SourceLicense:  GPL-3.0
+License:        GPL-3.0
 # LICENSE.dependencies contains a full license breakdown
-# FIXME: No license information in crate metadata.
 
-URL:            # FIXME
-Source:         # FIXME
-Source:         cosmic-app-library-0.1.0-vendor.tar.xz
+URL:            https://github.com/pop-os/cosmic-applibrary
+Source:         cosmic-app-library-%{ver}.tar.xz
+Source:         cosmic-app-library-%{ver}-vendor.tar.xz
 
 BuildRequires:  cargo-rpm-macros >= 26
 
@@ -30,7 +32,8 @@ BuildRequires:  cargo-rpm-macros >= 26
 
 %prep
 %autosetup -n %{crate}-%{version} -p1 -a1
-%cargo_prep -v vendor
+%cargo_prep -N
+cat .vendor/config.toml >> .cargo/config
 
 %build
 %cargo_build
@@ -49,9 +52,12 @@ BuildRequires:  cargo-rpm-macros >= 26
 %files
 %license LICENSE.md
 %license LICENSE.dependencies
-%license cargo-vendor.txt
+# %%license cargo-vendor.txt
 %doc README.md
 %{_bindir}/cosmic-app-library
+%{_datadir}/applications/com.system76.CosmicAppLibrary.desktop
+%{_datadir}/icons/hicolor/scalable/apps/com.system76.CosmicAppLibrary.svg
+%{_metainfodir}/com.system76.CosmicAppLibrary.metainfo.xml
 
 %changelog
 %autochangelog
diff --git a/rpms/cosmic-applets/cosmic-applets.spec b/rpms/cosmic-applets/cosmic-applets.spec
index 0d03754..2208a33 100644
--- a/rpms/cosmic-applets/cosmic-applets.spec
+++ b/rpms/cosmic-applets/cosmic-applets.spec
@@ -28,7 +28,6 @@ BuildRequires:  cargo
 BuildRequires:  dbus-devel
 BuildRequires:  wayland-devel
 BuildRequires:  libinput-devel
-BuildRequires:  libpulse-devel
 BuildRequires:  libudev-devel
 BuildRequires:  mesa-libEGL-devel
 BuildRequires:  libxkbcommon-devel
@@ -45,6 +44,7 @@ Requires:       cosmic-panel
 %prep
 %autosetup -n cosmic-applets-%{ver} -p1 -a1
 %cargo_prep -N
+cat .vendor/config.toml >> .cargo/config
 
 %build
 %cargo_build
diff --git a/rpms/cosmic-bg/cosmic-bg.spec b/rpms/cosmic-bg/cosmic-bg.spec
index 42767ef..ac4cbb8 100644
--- a/rpms/cosmic-bg/cosmic-bg.spec
+++ b/rpms/cosmic-bg/cosmic-bg.spec
@@ -36,12 +36,9 @@ Requires:       cosmic-session
 %prep
 %autosetup -n cosmic-bg-%{ver} -p1 -a1
 %cargo_prep -N
+cat .vendor/config.toml >> .cargo/config
 
 %build
-cat .cargo/config
-echo "\n"
-cat .vendor/config.toml >> .cargo/config
-cat .cargo/config
 %cargo_build
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies

